tccat(1)

NAME
tccat - concatenate multimedia streams from medium and print on the standard output

SYNOPSIS

tccat
    -i name [ -t magic ] [ -T title[,chapter[,angle]] ] [ -L ] [ -S n ] [ -P ] [ -a ] [ -d mode ] [ -v ]

COPYRIGHT
tccat is Copyright (C) by Thomas Östreich.

DESCRIPTION
tccat is part of and usually called by transcode.
However, it can also be used independently.
tccat reads source (from stdin if not explicitely defined) and prints on the standard output. Directory contents is concatenated, if source files have the same format. Multiple AVI-files are also supported.

OPTIONS

-i name
    Specify input source. If ommited, stdin is assumed.
    You can specify a file, directory, device, mountpoint or host address as input source. tccat usually handles the different types correctly.

-t magic
    Tell tccat about the type of input. Currently only dvd is supported - any other parameter will be ignored.

-T title[,chapter[,angle]]
    Select DVD title and extract only a single chapter with selected viewing angle. Setting the argument chapter to -1 means to process all available chapters on the DVD.
    If this option is given, the input type of dvd will also be assumed (see option -t).

-L  This option tells tccat to loop through all chapters starting at the one given with the option -T.

-S n
    Seek to program stream (VOB) offset nx2kB before starting output.

-P  Stream full DVD title specified by -T.

-a  Use this option to dump an AVI-file/socket audio stream. The default is to extract and concatenate AVI-file video stream.

-d level
    With this option you can specify a bitmask to enable different levels of verbosity (if supported). You can combine several levels by adding the corresponding values:

    QUIET 0

    INFO 1

    DEBUG 2

    STATS 4

    WATCH 8

    FLIST 16

    VIDCORE 32

    SYNC 64

    COUNTER 128

    PRIVATE 256

-v  Print version information and exit.

NOTES
tccat is a front end for streaming various source types and is used in transcode´s import modules.

EXAMPLES
The command

tccat -i /dev/dvd -T 1,-1 | mplayer -

reads all chapters belonging to title 1 of a DVD (assuming that /dev/dvd/ is a symbolic link to a real DVD device) and pipes a MPEG program stream into player.

AUTHORS
tccat was written by Thomas Östreich
<ostreich@theorie.physik.uni-goettingen.de> with contributions from many others. See AUTHORS for details.

SEE ALSO
avifix(1), avimerge(1), avisplit(1), tcdecode(1), tcdemux(1), tcextract(1), tcprobe(1), tcscan(1), transcode(1)